Foreman - Feature #13340

Seed Fedora Atomic installation media
01/22/2016 05:29 PM - Daniel Lobato Garcia

Status: Closed
Priority: Normal
Assignee: Daniel Lobato Garcia
Category: Unattended installations
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3111
Description

Fedora atomic now has a repository where you can get the isolinux stuff from -
https://dl.fedoraproject.org/pub/alt/atomic/stable/Cloud_Atomic/x86_64/0s/ . This allows us to perform fully unattended installations
through foreman. Before, you would have to download the image and prepare your own local installation media to PXE boot it (
http://blog.daniellobato.me/unattended-deployments-of-fedora-and-rhel-atomic-with-foremany/).

We still have a problem. The URL used for isolinux is completely different from the URL “ostreesetup’ in the Kickstart needs to pull
the ostree. That URL looks like this: https://dl.fedoraproject.org/pub/fedora/linux/atomic/22/

The problem is circumvented on the Kickstart [1] the best way | could given the prior circumstances, we pass a parameter
'atomic-upstream' to any hosts that you want to provision with upstream Atomic, but the isolinux stuff had to be downloaded from the
local installation media. Should | change the kickstart to disregard that parameter and always use the upstream URL now that we
can? It'd mean people who want a local installation media would have to change the Kickstart to take that into account.

[1] - https://github.com/theforeman/community-templates/blob/develop/kickstart/provision_atomic.erb#L 21

Associated revisions

Revision 45ed087a - 02/03/2016 07:13 AM - Daniel Lobato Garcia

Fixes #13340 - Seed Fedora Atomic installation media

Fedora Atomic now has a repository where you can get the isolinux stuff
from -https://dl.fedoraproject.org/pub/alt/atomic/stable/Cloud_Atomic/x86_64/os/

This allows us to perform fully unattended installations through

foreman. Before, you would have to download the image and prepare your

own local installation media to PXE boot it
(http://blog.daniellobato.me/unattended-deployments-of-fedora-and-rhel-atomic-with-foreman/).

History

#1 - 01/22/2016 05:33 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/3111 added

#2 - 02/03/2016 08:01 AM - Daniel Lobato Garcia
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 45ed087a388e64a868d385cd05918141cc828bbf.

#3 - 02/03/2016 08:02 AM - Dominic Cleal

- translation missing: en.field_release set to 71
